Subject: Re: [PATCH v4 1/2] revision.c: implement --reverse=before for walks

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Apr 2026 21:30:46 +0900

Johannes Sixt <[email-masked]> writes:

>> I wonder --reverse=oldest and --reverse=newest is easier to teach
>> and explain?  I dunno.

> What does it mean to "revert the oldest"? Or "the newest"?

I do not quite understand where the "revert" comes from, though.

> If at all,
> then this "newest" and "oldest" must be a restriction that applies to
> --max-count in some way. Perhaps we need a --max-count-oldest option,
> then --reverse does not have to be touched at all, because it is still
> applied only after the set of commits to show has been determined.

That makes two of us to suspect that this is more about --max-count
than --reverse.

cf. https://lore.kernel.org/git/[email-masked]/

"git log --max-count-oldest=3" will give us three oldest commit in
reverse chronological order, the set of commits shown are the same
with or without "--reverse", which makes tons of sense.